﻿<Window x:Class="PostCard.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:xctk="http://schemas.xceed.com/wpf/xaml/toolkit"
        xmlns:local="clr-namespace:PostCard"
        mc:Ignorable="d"
        Title="PostCard"
        Height="450"
        Width="800"
        ResizeMode="NoResize">

    <Grid>
        <Grid.ColumnDefinitions>
            <ColumnDefinition Width="4*" />
            <ColumnDefinition />
        </Grid.ColumnDefinitions>

        <Grid.RowDefinitions>
            <RowDefinition />
            <RowDefinition Height="10*" />
            <RowDefinition />
        </Grid.RowDefinitions>
        
        <Image Grid.Row="1"
               Grid.Column="0"
               Source="/PostCard;component/assets/background.png"/>

        <Image x:Name="Tree"
               Grid.Row="1"
               Grid.Column="0"
               Source="/PostCard;component/assets/tree.png" />
        
        <Canvas Grid.Row="1"
                Grid.Column="0">
            <Image Source="/PostCard;component/assets/gift1.png"
                   Width="60"
                   Canvas.Left="200"
                   Canvas.Top="280"/>
            
            <Image Source="/PostCard;component/assets/gift2.png"
                   Width="50"
                   Canvas.Left="400"
                   Canvas.Top="280"/>
            
            <Image Source="/PostCard;component/assets/gift3.png"
                   Width="50"
                   Canvas.Left="330"
                   Canvas.Top="310"/>
            
            <Image Source="/PostCard;component/assets/gift4.png"
                   Width="50"
                   Canvas.Left="280"
                   Canvas.Top="300"/>
        </Canvas>

        <Canvas x:Name="FairyLightsCanvas"
                Grid.Row="1"
                Grid.Column="0"
                Width="{Binding ElementName=Tree, Path=ActualWidth}"
                Height="{Binding ElementName=Tree, Path=ActualHeight}"
                Background="Transparent"
                MouseLeftButtonDown="CreateFairyLight">
        </Canvas>

        <Canvas x:Name="BlizzardCanvas"
                Grid.Column="0"
                Grid.Row="1"
                Background="{x:Null}" />

        <TextBlock x:Name="Header"
            Grid.Row="0"
            Grid.Column="0"
            Grid.ColumnSpan="2"
            Text="Merry Christmas and Happy New Year!"
            FontSize="30"
            TextAlignment="Center"
            Background="DarkRed"
            Foreground="Azure">
        </TextBlock>

        <StackPanel Grid.Row="1"
                    Grid.Column="1"
                    Background="Bisque">
            <DockPanel Margin="5">
                <TextBlock Text="Blizzard Strength" />
                <TextBlock x:Name="BlizzardStrengthValue"
                           Text="0"
                           HorizontalAlignment="Right" />
            </DockPanel>
            <Slider x:Name="BlizzardStrengthSlider"
                    Minimum="0"
                    Maximum="5"
                    Margin="10"
                    ValueChanged="ChangeBlizzardStrength" />
            
            <DockPanel Margin="5">
                <TextBlock Text="Blizzard Angle" />
                <TextBlock x:Name="BlizzardAngleValue"
                           Text="0"
                           HorizontalAlignment="Right" />
            </DockPanel>
            <Slider x:Name="BlizzardAngleSlider"
                    Minimum="-45"
                    Maximum="45"
                    Value="0"
                    Margin="10" 
                    ValueChanged="ChangeBlizzardAngle"/>
            
            <TextBlock Text="Bulb Color:"/>
            <xctk:ColorPicker x:Name="Picker" Margin="10"/>
            <TextBlock Text="LMB on the tree to create a fairy light bulb! RBM on a bulb to remove."
                       TextWrapping="Wrap" Margin="10"/>
            <Button x:Name="FairyLightsSwitch"
                    Content="Turn Fairy Lights On"
                    Margin="10"
                    Click="ToggleFairyLights" />
        </StackPanel>

        <TextBlock Grid.Row="2"
                   Grid.ColumnSpan="3"
                   Text="Copyright 2022 NebelFox"
                   FontSize="15"
                   TextAlignment="Right"
                   Background="DarkRed"
                   Foreground="Azure"
                   Padding="10  5" />
    </Grid>
</Window>